<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"><html xmlns="http://www.w3.org/1999/xhtml"><head><link rel="stylesheet" type="text/css" href="style.css" /><script type="text/javascript" src="highlight.js"></script></head><body><pre><span class="hs-keyword">module</span><span> </span><span class="hs-identifier">Lexis.Adjective</span><span>
</span><span id="line-2"></span><span>  </span><span class="hs-special">(</span><span> </span><span class="annot"><a href="Lexis.Adjective.html#Adjective"><span class="hs-identifier">Adjective</span></a></span><span> </span><span class="hs-special">(</span><span class="hs-glyph">..</span><span class="hs-special">)</span><span class="hs-special">,</span><span>
</span><span id="line-3"></span><span>    </span><span class="annot"><a href="Lexis.Adjective.html#getAdjective"><span class="hs-identifier">getAdjective</span></a></span><span class="hs-special">,</span><span>
</span><span id="line-4"></span><span>  </span><span class="hs-special">)</span><span>
</span><span id="line-5"></span><span class="hs-keyword">where</span><span>
</span><span id="line-6"></span><span>
</span><span id="line-7"></span><span class="hs-keyword">data</span><span> </span><span id="Adjective"><span class="annot"><a href="Lexis.Adjective.html#Adjective"><span class="hs-identifier hs-var">Adjective</span></a></span></span><span>
</span><span id="line-8"></span><span>  </span><span class="hs-glyph">=</span><span> </span><span id="Qualitative"><span class="annot"><a href="Lexis.Adjective.html#Qualitative"><span class="hs-identifier hs-var">Qualitative</span></a></span></span><span> </span><span class="annot"><span class="hs-identifier hs-type">String</span></span><span>
</span><span id="line-9"></span><span>  </span><span class="hs-glyph">|</span><span> </span><span id="Relative"><span class="annot"><a href="Lexis.Adjective.html#Relative"><span class="hs-identifier hs-var">Relative</span></a></span></span><span> </span><span class="annot"><span class="hs-identifier hs-type">String</span></span><span>
</span><span id="line-10"></span><span>  </span><span class="hs-keyword">deriving</span><span> </span><span class="hs-special">(</span><span id="local-6989586621679081681"><span id="local-6989586621679081683"><span class="annot"><span class="annottext">Adjective -&gt; Adjective -&gt; Bool
(Adjective -&gt; Adjective -&gt; Bool)
-&gt; (Adjective -&gt; Adjective -&gt; Bool) -&gt; Eq Adjective
forall a. (a -&gt; a -&gt; Bool) -&gt; (a -&gt; a -&gt; Bool) -&gt; Eq a
/= :: Adjective -&gt; Adjective -&gt; Bool
$c/= :: Adjective -&gt; Adjective -&gt; Bool
== :: Adjective -&gt; Adjective -&gt; Bool
$c== :: Adjective -&gt; Adjective -&gt; Bool
</span><span class="hs-identifier hs-var hs-var hs-var hs-var hs-var hs-var">Eq</span></span></span></span><span class="hs-special">,</span><span> </span><span id="local-6989586621679081674"><span id="local-6989586621679081676"><span id="local-6989586621679081678"><span class="annot"><span class="annottext">Int -&gt; Adjective -&gt; ShowS
[Adjective] -&gt; ShowS
Adjective -&gt; String
(Int -&gt; Adjective -&gt; ShowS)
-&gt; (Adjective -&gt; String)
-&gt; ([Adjective] -&gt; ShowS)
-&gt; Show Adjective
forall a.
(Int -&gt; a -&gt; ShowS) -&gt; (a -&gt; String) -&gt; ([a] -&gt; ShowS) -&gt; Show a
showList :: [Adjective] -&gt; ShowS
$cshowList :: [Adjective] -&gt; ShowS
show :: Adjective -&gt; String
$cshow :: Adjective -&gt; String
showsPrec :: Int -&gt; Adjective -&gt; ShowS
$cshowsPrec :: Int -&gt; Adjective -&gt; ShowS
</span><span class="hs-identifier hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var">Show</span></span></span></span></span><span class="hs-special">)</span><span>
</span><span id="line-11"></span><span>
</span><span id="line-12"></span><span class="hs-comment">-- | Produces the adjective's root</span><span>
</span><span id="line-13"></span><span class="annot"><a href="Lexis.Adjective.html#getAdjective"><span class="hs-identifier hs-type">getAdjective</span></a></span><span> </span><span class="hs-glyph">::</span><span> </span><span class="annot"><a href="Lexis.Adjective.html#Adjective"><span class="hs-identifier hs-type">Adjective</span></a></span><span> </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">String</span></span><span>
</span><span id="line-14"></span><span id="getAdjective"><span class="annot"><span class="annottext">getAdjective :: Adjective -&gt; String
</span><a href="Lexis.Adjective.html#getAdjective"><span class="hs-identifier hs-var hs-var">getAdjective</span></a></span></span><span> </span><span class="hs-special">(</span><span class="annot"><a href="Lexis.Adjective.html#Qualitative"><span class="hs-identifier hs-type">Qualitative</span></a></span><span> </span><span id="local-6989586621679081672"><span class="annot"><span class="annottext">String
</span><a href="#local-6989586621679081672"><span class="hs-identifier hs-var">x</span></a></span></span><span class="hs-special">)</span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">String
</span><a href="#local-6989586621679081672"><span class="hs-identifier hs-var">x</span></a></span><span>
</span><span id="line-15"></span><span class="annot"><a href="Lexis.Adjective.html#getAdjective"><span class="hs-identifier hs-var">getAdjective</span></a></span><span> </span><span class="hs-special">(</span><span class="annot"><a href="Lexis.Adjective.html#Relative"><span class="hs-identifier hs-type">Relative</span></a></span><span> </span><span id="local-6989586621679081671"><span class="annot"><span class="annottext">String
</span><a href="#local-6989586621679081671"><span class="hs-identifier hs-var">x</span></a></span></span><span class="hs-special">)</span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">String
</span><a href="#local-6989586621679081671"><span class="hs-identifier hs-var">x</span></a></span><span>
</span><span id="line-16"></span></pre></body></html>